local modname = ...
local M = {}
_G[modname] = M
local digits = {}
digits[" "] = 0x00
digits["-"] = 0x01
digits["_"] = 0x08
digits["0"] = 0x7e
digits["1"] = 0x30
digits["2"] = 0x6d
digits["3"] = 0x79
digits["4"] = 0x33
digits["5"] = 0x5b
digits["6"] = 0x5f
digits["7"] = 0x70
digits["8"] = 0x7f
digits["9"] = 0x7b
digits[","] = 0x80
digits["."] = 0x80
digits["°"] = 0x63
digits["X"] = 0x63
digits["t"] = 0x0f
digits["C"] = 0x4e
digits["P"] = 0x67
digits["c"] = 0x0d
digits["o"] = 0x1d
digits["E"] = 0x4f
digits["d"] = 0x3d

function M.GetChar(char)
	local r = digits[char]
	return r == nil and digits["_"] or r
end
return M
