--makesteps.lua
local counterstep = 1
local step = {}
local nextstep = function()
	print('Step '..counterstep..': ',step[counterstep]) 
	dofile(step[counterstep])(wth)
	counterstep = (counterstep < #step) and (counterstep + 1) or 1
end

worktmr = tmr.create()
worktmr:register(10000, 1, nextstep)

if dat.sco2 ~= 0	then step[#step + 1] = 'askMHZ19.lua'; wth.co2 = 0 end	

local num = dofile'checkDS18b20.lua'
if num == 1	then step[#step + 1] = 'askDS18b20.lua'; wth.ds18b20 = '85' end
if dat.clnt then 
	step[#step + 1] = 'mqttpubnew.lua' 
	print('Client:', dat.clnt)
	dat.boot = true
	dofile'mqttset.lua' 
end

if #step == 0 then 
	step = nil
	worktmr:unregister()
	worktmr = nil
else
	nextstep()
	worktmr:start()	
end
if dat.pinir then dofile'_irsenstmr.lua'end
if dat.pinsiren then 
	gpio.config( {gpio={dat.pinsiren}, dir=gpio.OUT })
	gpio.write(dat.pinsiren, 0)
end

dofile'main.lua'